Bug 197171 - lang/gcc5: Fail to build when JAVA is enabled
Summary: lang/gcc5: Fail to build when JAVA is enabled
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-29 11:49 UTC by Ting-Wei Lan
Modified: 2015-02-02 00:46 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (gerald)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ting-Wei Lan 2015-01-29 11:49:14 UTC
It seems there is some problem related to libffi. Please see the build log: http://pkgbuild.csie.ntu.edu.tw/pkg-stat/data/freebsd10-default-workstation/2015-01-28_15h00m34s/logs/errors/gcc5-5.0.s20150125.log
Comment 1 Bugzilla Automation freebsd_committer 2015-01-29 11:49:14 UTC
Auto-assigned to maintainer gerald@FreeBSD.org
Comment 2 commit-hook freebsd_committer 2015-01-30 00:19:31 UTC
A commit references this bug:

Author: gerald
Date: Fri Jan 30 00:18:47 UTC 2015
New revision: 378133
URL: https://svnweb.freebsd.org/changeset/ports/378133

Log:
  Also disable Java and libffi on amd64 until the next snapshot of
  GCC 5.0.

  PR:		197171

Changes:
  head/lang/gcc5/Makefile
Comment 3 Gerald Pfeifer freebsd_committer 2015-01-30 00:25:22 UTC
I had reported this upstream and there has a fix been committed, which
alas is quite large, so given that gcc5 really is more experimental at
this point and we should see a new snapshot in two days, I plan on
waiting for that (now that Java is disabled by default) and then enable
everything again.
Comment 4 commit-hook freebsd_committer 2015-02-02 00:46:46 UTC
A commit references this bug:

Author: gerald
Date: Mon Feb  2 00:46:29 UTC 2015
New revision: 378284
URL: https://svnweb.freebsd.org/changeset/ports/378284

Log:
  Update to the 20150201 snapshot of GCC 5.0.

  This now successfully builds libffi again, so we can enable JAVA by
  default on i386 and amd64.

  PR:		197171

Changes:
  head/lang/gcc5/Makefile
  head/lang/gcc5/distinfo